import logging
from abc import ABC, abstractmethod

logger = logging.getLogger(__name__)

class UploadPort(ABC):
    @abstractmethod
    async def uploadFile(self, file, fileSize, url: str):
        raise NotImplementedError

    @abstractmethod
    async def getCurrentUploadStatus(self):
        raise NotImplementedError

    @abstractmethod
    def resetUploadStatus(self):
        raise NotImplementedError
